
Ruby - Bug #12742

backport r56117 (fix private constant message) and r56118 (fix deprecated constant message)

09/09/2016 01:09 PM - nagachika (Tomoyuki Chikanaga)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: - Backport: 2.1: DONTNEED, 2.2: DONE, 2.3:

DONE

Description

バックポート管理用チケットです。

Associated revisions

Revision a669f1f992105981efd4bb891d34cbf53b05696a - 09/26/2016 02:58 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 56117,56118: [Backport #12742]

    * variable.c (rb_const_search): raise with the actual class/module

      name which defines the private constant.

    * variable.c (rb_const_search): warn with the actual class/module

      name which defines the deprecated constant.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@56259 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a669f1f9 - 09/26/2016 02:58 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 56117,56118: [Backport #12742]

    * variable.c (rb_const_search): raise with the actual class/module

      name which defines the private constant.

    * variable.c (rb_const_search): warn with the actual class/module

      name which defines the deprecated constant.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@56259 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a6bc3808218eb1c7a4f4f37a3d8d63f0833170a3 - 09/30/2016 04:05 PM - U.Nakamura 

merge revision(s) 56117: [Backport #12742]

    * variable.c (rb_const_search): raise with the actual class/module

      name which defines the private constant.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@56309 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a6bc3808 - 09/30/2016 04:05 PM - U.Nakamura 

merge revision(s) 56117: [Backport #12742]

    * variable.c (rb_const_search): raise with the actual class/module

      name which defines the private constant.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@56309 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/09/2016 01:10 PM - nagachika (Tomoyuki Chikanaga)

- Subject changed from backport r56117 (fix private constant message) to backport r56117 (fix private constant message) and r56118 (fix deprecated

constant message)

#2 - 09/26/2016 02:58 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.1: DONTNEED, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: DONTNEED, 2.2: REQUIRED, 2.3: DONE

ruby_2_3 r56259 merged revision(s) 56117,56118.
#3 - 09/30/2016 04:07 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: DONTNEED, 2.2: REQUIRED, 2.3: DONE to 2.1: DONTNEED, 2.2: DONE, 2.3: DONE

ruby_2_2 r56309 merged revision(s) 56117.

ruby 2.2 doesn't warn deprecated constants, then we don't have to (or, can't) backport r56118.
